curl --request POST \
--url https://platform.swipelux.com/v3/customers/{customerId}/recipients \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "individual",
"relationship": "contractor",
"firstName": "Jason",
"lastName": "Swipelux",
"email": "jason@swipelux.com",
"phone": "+14155551234",
"address": {
"streetLine1": "1 Market Street",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"label": "Jason contractor"
}
'{
"data": {
"id": "rcp_6dV8xN2pQ4rT7mA9sL1k",
"customerId": "cus_uPlL04SqhMf8QYHcJV",
"status": "active",
"type": "individual",
"relationship": "contractor",
"firstName": "Jason",
"lastName": "Swipelux",
"email": "jason@swipelux.com",
"phone": "+14155551234",
"address": {
"streetLine1": "1 Market Street",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"label": "Jason contractor",
"createdAt": "2026-06-25T12:00:00.000Z",
"updatedAt": "2026-06-25T12:00:00.000Z",
"archivedAt": null
}
}recipients
Create recipient
Create an individual or business third-party payout recipient. First-party payouts target customer accounts.
curl --request POST \
--url https://platform.swipelux.com/v3/customers/{customerId}/recipients \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "individual",
"relationship": "contractor",
"firstName": "Jason",
"lastName": "Swipelux",
"email": "jason@swipelux.com",
"phone": "+14155551234",
"address": {
"streetLine1": "1 Market Street",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"label": "Jason contractor"
}
'{
"data": {
"id": "rcp_6dV8xN2pQ4rT7mA9sL1k",
"customerId": "cus_uPlL04SqhMf8QYHcJV",
"status": "active",
"type": "individual",
"relationship": "contractor",
"firstName": "Jason",
"lastName": "Swipelux",
"email": "jason@swipelux.com",
"phone": "+14155551234",
"address": {
"streetLine1": "1 Market Street",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"label": "Jason contractor",
"createdAt": "2026-06-25T12:00:00.000Z",
"updatedAt": "2026-06-25T12:00:00.000Z",
"archivedAt": null
}
}Authorizations
Your Swipelux API key. Obtain this from the Swipelux Dashboard.
Headers
Required for effectful v3 requests (POST, PATCH, PUT, DELETE). Reuse the same key with the same body to replay the cached response.
Required string length:
1 - 255Path Parameters
Body
application/json
- Individual recipient
- Business recipient
Available options:
individual Minimum string length:
1Minimum string length:
1Available options:
employee, contractor, vendor, subsidiary, merchant, customer, landlord, family, other Maximum string length:
255Pattern:
^[\x20-\x7E]*$Show child attributes
Show child attributes
Maximum string length:
255Show child attributes
Show child attributes
Response
Recipient created
- Option 1
- Option 2
Show child attributes
Show child attributes